> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List sessions for a project



## OpenAPI

````yaml get /v1/projects/{project_identifier}/sessions
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/projects/{project_identifier}/sessions:
    get:
      tags:
        - sessions
      summary: List sessions for a project
      operationId: listProjectSessions
      parameters:
        - name: project_identifier
          in: path
          required: true
          schema:
            type: string
            description: 'The project identifier: either project ID or project name.'
            title: Project Identifier
          description: 'The project identifier: either project ID or project name.'
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor for pagination (session ID)
            title: Cursor
          description: Cursor for pagination (session ID)
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            exclusiveMinimum: 0
            description: The max number of sessions to return at a time.
            default: 100
            title: Limit
          description: The max number of sessions to return at a time.
        - name: order
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            description: 'Sort order by ID: ''asc'' (ascending) or ''desc'' (descending).'
            default: asc
            title: Order
          description: 'Sort order by ID: ''asc'' (ascending) or ''desc'' (descending).'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSessionsResponseBody'
        '403':
          content:
            text/plain:
              schema:
                type: string
          description: Forbidden
        '404':
          content:
            text/plain:
              schema:
                type: string
          description: Not Found
        '422':
          content:
            text/plain:
              schema:
                type: string
          description: Unprocessable Entity
components:
  schemas:
    GetSessionsResponseBody:
      properties:
        data:
          items:
            $ref: '#/components/schemas/SessionData'
          type: array
          title: Data
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - data
        - next_cursor
      title: GetSessionsResponseBody
    SessionData:
      properties:
        id:
          type: string
          title: Id
        session_id:
          type: string
          title: Session Id
        project_id:
          type: string
          title: Project Id
        start_time:
          type: string
          format: date-time
          title: Start Time
        end_time:
          type: string
          format: date-time
          title: End Time
        traces:
          items:
            $ref: '#/components/schemas/SessionTraceData'
          type: array
          title: Traces
        token_count_prompt:
          type: integer
          title: Token Count Prompt
          description: Cumulative prompt token count across all spans in the session.
          default: 0
        token_count_completion:
          type: integer
          title: Token Count Completion
          description: Cumulative completion token count across all spans in the session.
          default: 0
        token_count_total:
          type: integer
          title: Token Count Total
          description: >-
            Cumulative total token count across all spans in the session (prompt
            + completion).
          default: 0
      type: object
      required:
        - id
        - session_id
        - project_id
        - start_time
        - end_time
        - traces
      title: SessionData
    SessionTraceData:
      properties:
        id:
          type: string
          title: Id
        trace_id:
          type: string
          title: Trace Id
        start_time:
          type: string
          format: date-time
          title: Start Time
        end_time:
          type: string
          format: date-time
          title: End Time
      type: object
      required:
        - id
        - trace_id
        - start_time
        - end_time
      title: SessionTraceData

````